Name: jonama
Summary: SSL relay daemon
Version: 1.1.3
Release: 0
Copyright: GPL
Group: Networking/Daemons
Source: http://www.multimania.com/jonama/%{name}-%{version}.tar.gz
Url: http://www.multimania.com/jonama
Packager: Gomez Henri <nri@mail.dotcom.fr>
BuildRoot: /tmp/build-%{name}

%changelog
* Thu Jun  3 1999 Gomez Henri <nri@mail.dotcom.fr>
- no more requirement for pkcs12 or ca-fix (OpenSSL 0.9.3 built-in)

* Mon May 31 1999 Gomez Henri <nri@mail.dotcom.fr>
- first autoconf try (1.1.2)

* Thu May 27 1999 Gomez Henri <nri@mail.dotcom.fr>
- OpenSSL 0.9.3 compatiblity

* Fri Apr  2 1999 Gomez Henri <nri@mail.dotcom.fr>
- OpenSSL 0.9.2 compatibility
- Now used SSL and Proxy profiles
- Proxy profile use date/time rule access

* Tue Mar  9 1999 Gomez Henri <nri@mail.dotcom.fr>
- Switched user private key from 1024bits to 512bits 
  for compatibility with export browsers (IE/NS)

* Tue Mar  2 1999 Gomez Henri <nri@mail.dotcom.fr>
- Better cleanup in spec file
 
* Mon Mar  1 1999 Gomez Henri <nri@mail.dotcom.fr>
- v1.0.1 modified jmca, added ssl session log

* Fri Feb 26 1999 Gomez Henri <nri@mail.dotcom.fr>
- Corrected things in spec file

* Wed Feb 24 1999 Gomez Henri <nri@mail.dotcom.fr>
- Initial RPM release

%description
Jonama is a daemon acting as a relay between a client
over the Net and your internal systems. 
It use SSL and CA to control access and crypt datas.

Built under Redhat 6.0

%prep
%setup

%pre 
if ! grep %{name} /etc/passwd > /dev/null
then
	useradd -u 103 %{name} 
fi

%post
/sbin/chkconfig --add %{name}
install -m400 -o %{name} /etc/hosts /home/%{name}/etc
install -m400 -o %{name} /etc/resolv.conf /home/%{name}/etc
echo ""
echo ""
echo "#############################################"
echo "#     To set your own CA, just run jmca     #"
echo "# Then generate a server cert with jgenscrt #" 
echo "############################################"

%preun
if test -x /etc/rc.d/init.d/%{name}
then
  /etc/rc.d/init.d/%{name} stop > /dev/null
  /sbin/chkconfig --del %{name}
fi
if grep %{name} /etc/passwd > /dev/null
then
	userdel %{name} 
	groupdel %{name} 
fi
rm -f /home/%{name}/etc/hosts
rm -f /home/%{name}/etc/resolv.conf
rm -f /home/%{name}/.??*

%postun
rm -rf /home/%{name}

%build
./configure
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/sbin
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -s -m755 %{name} $RPM_BUILD_ROOT/usr/sbin
install -m755 jgenscrt $RPM_BUILD_ROOT/usr/bin
install -m755 jmca $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/%{name}/conf
mkdir -p $RPM_BUILD_ROOT/etc/%{name}/conf/ssl.crt
mkdir -p $RPM_BUILD_ROOT/etc/%{name}/conf/ssl.csr
mkdir -p $RPM_BUILD_ROOT/etc/%{name}/conf/ssl.key
install -m600 %{name}.conf $RPM_BUILD_ROOT/etc/%{name}/conf
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 %{name}.init  $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
mkdir -p $RPM_BUILD_ROOT/home/%{name}/var/log
mkdir -p $RPM_BUILD_ROOT/home/%{name}/etc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644 root root 755)
%doc README TODO ChangeLog
%attr(755,root,root)  %dir /etc/%{name}
%attr(755,root,root)  %dir /etc/%{name}/conf
%attr( - ,root,root)  %dir /etc/%{name}/conf/ssl.crt
%attr( - ,root,root)  %dir /etc/%{name}/conf/ssl.csr
%attr( - ,root,root)  %dir /etc/%{name}/conf/ssl.key
%attr(644,root,root)  %config(noreplace) /etc/%{name}/conf/%{name}.conf
%attr(755,root,root)  %config /etc/rc.d/init.d/%{name}
%attr( - ,root,root)  /usr/sbin
%attr( - ,root,root)  /usr/bin
%attr(755,%{name}, %{name})  %dir /home/%{name}
%attr(755,%{name}, %{name})  %dir /home/%{name}/var
%attr(755,%{name}, %{name})  %dir /home/%{name}/var/log
%attr(755,%{name}, %{name})  %dir /home/%{name}/etc


